unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SMIBase, SMI2TXT, StdCtrls, Grids, DBGrids, Db, DBTables, ComCtrls;

type
  TForm1 = class(TForm)
    tblOrders: TTable;
    dSrcOrders: TDataSource;
    Button1: TButton;
    SMImportFromText: TSMImportFromText;
    DBGrid1: TDBGrid;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SMImportFromTextErrorEvent(Sender: TObject; Error: Exception;
      var Abort: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  SMImportFromText.Execute
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  tblOrders.Open;
end;

procedure TForm1.SMImportFromTextErrorEvent(Sender: TObject;
  Error: Exception; var Abort: Boolean);
begin
  ShowMessage(Error.Message)
end;

end.
